Bug 26011 - Remove unused jQuery plugin jquery.metadata.min.js from the OPAC
Summary: Remove unused jQuery plugin jquery.metadata.min.js from the OPAC
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-17 18:07 UTC by Owen Leonard
Modified: 2020-08-03 09:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26011: Remove unused jQuery plugin jquery.metadata.min.js from the OPAC (2.32 KB, patch)
2020-07-17 18:12 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26011: Remove unused jQuery plugin jquery.metadata.min.js from the OPAC (2.38 KB, patch)
2020-07-31 23:03 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 26011: Remove unused jQuery plugin jquery.metadata.min.js from the OPAC (2.42 KB, patch)
2020-08-03 04:51 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-07-17 18:07:39 UTC
The jQuery plugin jquery.metadata.min.js is unused in the OPAC and can be safely removed.
Comment 1 Owen Leonard 2020-07-17 18:12:41 UTC
Created attachment 107046 [details] [review]
Bug 26011: Remove unused jQuery plugin jquery.metadata.min.js from the OPAC

The jQuery plugin jquery.metadata.min.js hasn't been used in
Koha in long time. This patch removes it from the OPAC.

To test, apply the patch and search for instances of "jquery.metadata."
There should be none.
Comment 2 Lucas Gass 2020-07-31 23:02:01 UTC
cant find any instances of 'jquery.metadata.' with grep
Comment 3 Lucas Gass 2020-07-31 23:03:05 UTC
Created attachment 107661 [details] [review]
Bug 26011: Remove unused jQuery plugin jquery.metadata.min.js from the OPAC

The jQuery plugin jquery.metadata.min.js hasn't been used in
Koha in long time. This patch removes it from the OPAC.

To test, apply the patch and search for instances of "jquery.metadata."
There should be none.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 4 Josef Moravec 2020-08-03 04:51:31 UTC
Created attachment 107665 [details] [review]
Bug 26011: Remove unused jQuery plugin jquery.metadata.min.js from the OPAC

The jQuery plugin jquery.metadata.min.js hasn't been used in
Koha in long time. This patch removes it from the OPAC.

To test, apply the patch and search for instances of "jquery.metadata."
There should be none.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Jonathan Druart 2020-08-03 09:59:37 UTC
Pushed to master for 20.11, thanks to everybody involved!